### Enumeration

# Ggit AttributeCheckFlags

#### Declaration

    flags Ggit.AttributeCheckFlags

#### Description [src]

Attribute check flags indicate the order in which to check for gitattributes. git core uses `GGIT_ATTRIBUTE_CHECK_FILE_THEN_INDEX` for all operations, except on checkout, where it uses `GGIT_ATTRIBUTE_CHECK_INDEX_THEN_FILE`.

#### Members

Name | Description
--- | ---
`GGIT_ATTRIBUTE_CHECK_FILE_THEN_INDEX` | Check working directory, then index.
`GGIT_ATTRIBUTE_CHECK_INDEX_THEN_FILE` | Check index, then working directory.
`GGIT_ATTRIBUTE_CHECK_INDEX_ONLY` | Check only index.
`GGIT_ATTRIBUTE_CHECK_NO_SYSTEM` | Ignore system wide attributes.